import rules

from aleksis.core.util.predicates import (
    has_global_perm,
    has_object_perm,
    has_person,
)

edit_absence_predicate = has_person & (
    has_global_perm("kolego.change_absence") | has_object_perm("kolego.change_absence")
)
rules.add_perm("kolego.edit_absence_rule", edit_absence_predicate)

delete_absence_predicate = has_person & (
    has_global_perm("kolego.delete_absence") | has_object_perm("kolego.delete_absence")
)
rules.add_perm("kolego.delete_absence_rule", delete_absence_predicate)

edit_absencereason_predicate = has_person & (
    has_global_perm("kolego.change_absencereason") | has_object_perm("kolego.change_absencereason")
)
rules.add_perm("kolego.edit_absencereason_rule", edit_absencereason_predicate)

delete_absencereason_predicate = has_person & (
    has_global_perm("kolego.delete_absencereason") | has_object_perm("kolego.delete_absencereason")
)
rules.add_perm("kolego.delete_absencereason_rule", delete_absencereason_predicate)
